# GimpUi.window_set_transient_for

    @accepts(Gtk.Window, GLib.Bytes)
    @returns(none)
    def window_set_transient_for(window, handle):
        # Python wrapper for gimp_window_set_transient_for()

Indicates to the window manager that window is a transient dialog to the window identified by handle.

Note that handle is an opaque data, which you should not try to construct yourself or make sense of. It may be different things depending on the OS or even the display server. You should only use a handle returned by [func@Gimp.progress_get_window_handle], [method@Gimp.Display.get_window_handle] or [method@GimpUi.Dialog.get_native_handle].

Most of the time you will want to use the convenience function [func@GimpUi.window_set_transient].

Since 3.0

window

  the Gtk.Window that should become transient

handle

  handle of the window that should become the parent